API documentation | API docs for agents | OpenAPI 3.1
POST /api/v1/loads/{loadId}/status
ark.override_load_status
Overrides a visible load from Pending to Dispatched using the existing status override rule.
- Availability
- Expanded preview
- Scopes
loads:write- ARK permissions
canOverrideLoadStatus- Team visibility
- Required and enforced
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
loadIdpathstringrequired- format: uuid
Idempotency-Keyheaderstringrequired- Required for external write operations. Reuse the same key only for exact retries of the same request body.
- min length: 1; max length: 200
Request body
fromStatusstringrequiredone of: Pending
toStatusstringrequiredone of: Dispatched
Example request
Shell
curl -X POST 'https://arktms.com/api/v1/loads/<loadId>/status' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{
"fromStatus": "Pending",
"toStatus": "Dispatched"
}'Success response
Updated load
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.idstringrequiredformat: uuid
data.loadNumberstringrequireddata.statusstring | nullrequireddata.teamIdstring | nullrequiredformat: uuid
data.customerobject | nullrequireddata.activeDispatchobject | nullrequireddata.pickupNumberstring | nullrequireddata.purchaseOrderNumberstring | nullrequireddata.billOfLadingstring | nullrequireddata.productstring | nullrequireddata.descriptionstring | nullrequireddata.createdAtstringrequiredformat: date-time
data.modifiedAtstring | nullrequiredformat: date-time
Errors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found
HTTP 409- Current load status did not match fromStatus